Topic 2

RCEU Make Manual

Intro

What is RCEU Make Manual?

It is a tool, which helps creating PDF files for https://retro-commodore.eu, but can be used for your own needs.

The workflow is like this:

After you've scanned, you put your original files in an origs directory,

this directory will be copied to a work directory - we never work on the original scans, so the origs is our safekeeping directory.

Now it's time to process your images with ScanTailor.

After you've created your outputfiles using ScanTailor, you can fill out the metadata fields, and save these to the root of the project.

Convert the files, will OCR and make the images into single PDF files.

Make PDF will then combine all the single PDF files and save it with it's OCRed pages.

Thats it, you're done and have a nice PDF product.

Copyright © 2023 Retro Commodore EU. All Rights Reserved.


Topic 1

RCEU Make Manual

Pre-requisites

RCEU Make Manual is a partial wrapper for other programs.

Required for full functionality are these free programs:

GhostScript, PDFToolKit Server, TesserAct-OCR, ScanTailor.

You either need to have the binaries in your path environment, or go to settings and navigate each to it's executable.


Topic 3

RCEU Make Manual

Preparation

To the more depth going procedure to make the process a success:

When you scan, you should know a few basics.

Scanning in 600dpi make black/white text only look good, in 300dpi the pixels can make the text feel jagged. Remember, you can always scale down, but upscaling requires magic like AI, but it's always the best to have high resolution scans rather than guesswork from a computer.

Stay away from lossy formats like jpg and gif. TIFF and PNG are both very good options. TIFF has several choices of compression, of these are CCITT.6 (G4 Fax) for black and white images, and LZW for the rest -indexed, grayscal and color, the best choices. There is the JBIG which compresses Black/White better, but it usually also makes the PDF viewer vastly slower.

Unfortunately LZW is not usable in PDF/A. PNG can be a good choice as well, though it is somewhat slower to open in programs. Sticking to free tools GIMP has no problems working with these formats.

RCEU Make Manual only support TIF files with the 3 letter TIF extension, the 4 letter TIFF extension, PNG and other formats are currently not supported. So make sure to either convert to TIF or rename the extension depending on your output.

So, lets start preparing your project directory, lets call this MyProject. So if we use D:\ManualWork as a root directory for all our projects, the example directory would be D:\ManualWork\MyProject.

Recommended is to have your original scans in origs, so the full directory would be D:\ManualWork\MyProject\origs. "origs" can be set in the settings in case you want to rename it, so can the other work directories, but lets continue with the recommended namings. ScanTailor defaults to output to an "out" directory from it's project dir.


Getting Started

Start by opening the project dir D:\ManualWork\MyProject, if you've configured correctly and have an origs dir with one or more tif files, you should see the first image in the Work tab.

This will open up the rest of the work field.

Clicking "Prepare Work Dir" will create a directory called "work" and the files in "origs" will be copied into this folder. If a textfile "run_simplex_sorting_script.txt" exists in the root of the project dir, the checkbox "Simplex scanned" will be checked.

Scanning documents on a simplex scanner scans the odd pages from low to high 1,3,5,7... and then you flip the stack around scanning the even pages from high to low ...8,6,4,2.

Checking the "Simplex scanned" checkbox will copy the files from the "origs" folder, sort the files properly so they are ordered into the proper sequence 1,2,3,4,5,6,7,8. Make note we only copy from the origs folder, we don't write to this folder keeping the originals as is.

You need to check the "Simplex scanned" checkbox before clicking on the "Prepare Work Dir".

If the "Simplex scanned" is checked, a check for even files in the work directory will also be made, the "Prepare Work Dir" turns red if the file count isn't even. Sometimes document scanners can grab one or more pages. This isn't foolproof if the scanner grabs even amount of pages from front and back run.

Clicking on the "Run ScanTailor" will copy the workdir path to the clipboard and open ScanTailor, you can use the clipboard to paste the workpath when creating a new project.

Do what you need to do in ScanTailor (using ScanTailor isn't part of this help guide).

Now you can do some post work to all the output files if you want/need to do this.

For RCEU products fill out the PDF properties, make sure you select either a single language or multiple in case the manual or book is multilingual.

Title, Publisher and (non english) language will automatically be added to the filename.

Clicking "Calc" outside the page count will fetch the amount of pages for you.

Clicking "Calc" in time spent, will output the amount of minutes calculated by the timestamp of the first and last file in the origs dir, and the amount of time RCEU Workflow Manager has had it's project open.

The "Metadata file" info doesn't do anything to the output.

it only saves all the info to a textfile which is used for Retro Commodore's website.

Well actually, the filename textbox is the only field that is being used, to output the filename of the files generated.

Selecting "Normal Order" and clicking "Convert Files" will take all the files in their natural order and convert to OCR'ed PDF pages.

Selecting "4,1,2,3 Order" and clicking "Convert Files" - If you've scanned magazines or booklets where you've removed staples from the spine, the pages scanned would be Front, Back, Side 2 and Side 3 for 1 paper, Front, Back, 3, 6, 5, 4, 2, 1 for 2 papers. You would then need to split the pages in ScanTailor. Selecting this will make sure the

magazines or booklets have their pages sorted in the correctorder before OCR into PDF files.

Selecting Normal or 4,1,2,3 needs to be chosen before "Convert Files".

A4 Banner/A5 Banner/None: This will add either an A4, A5 or none banners in the end of the PDF file. This choice needs to be set before "Make PDF"

"Make PDF" will grab all PDFs and gather them into one PDF file. A textfile with all the text from the OCR'ed PDF will also be output.

You're done.


Settings

User section:

In User, type in your name or handle, this is only used for the metadata file.

Tools section:

make sure your tools are in your path environment, or browse to them using the buttons.

RCEU Workflow Manager uses these tools, pointing to different tools will make unwanted results.

Links have been made available for easy download of the required tools.

Work Directories section:

These are directories inside your projects directory, changing these to full paths will give you undesired results.

Origs: This is where your original scans (*.tif) should be located before starting the workflow.

Work: This is the directory where the originals have been copied to and sorted if chosen, this is also the directory that should be used for ScanTailor.

ScanTailor Out: this is the output directory of ScanTailor, default: out (inside the work dir) so "work\out"

Temp: This is the temporary directory which RCEU Workflow Manager uses for outputting single PDF files. This directory isn't automatically deleted (yet), but can be manually deleted once you're satisfied with your product.

PDF Metadata section:

Writing something here will add that text to the Author field of the PDF file.

Save Config

Will make sure your settings are remembered.


{$$PAGE_TITLE$$}

{$$TEXT$$}

Copyright ©{$$YEAR$$} {$$COMPANY$$}. All Rights Reserved.